Become a Paddle partner
Join the Paddle partner program to read this content. You'll also get access to our partner API and agent tooling. Let us know a few details about your business to get started. Already a partner? Log in to view this page.
POST
/checkout-domains Creates a new domain for approval to use on checkouts.
If successful, your response includes a copy of the new checkout domain entity.
Request body
domainstring (hostname)required
Example:
example.comCheckout domain name.
Response (201)
dataobjectrequired
Represents a checkout domain entity.
idstringrequired
Example:
chedom_01kkertpke0gv2t61p1pq8v23xUnique Paddle ID for this checkout domain entity, prefixed with
chedom_.Pattern:
^chedom_[a-z\d]{26}$domainstring (hostname)required
Example:
example.comCheckout domain name.
statusstringrequired
Approval status of this checkout domain. Checkout domains are created as
pending_review. It can be pending_review, approved, rejected, in_review, or action_required.Values
pending_reviewDomain is newly added and is pending review.approvedDomain has been approved and can be used for checkouts.rejectedDomain has been rejected and cannot be used for checkouts.in_reviewDomain is currently under review by Paddle.action_requiredDomain was soft-declined during review. The seller can resolve the issue and resubmit the domain.
payment_method_verificationobjectrequired
Payment method verification status for this checkout domain.
apple_payobjectrequired
Apple Pay verification status for this checkout domain.
statusstringrequired
Payment method verification status for this checkout domain.
Values
verifiedPayment method is verified for this checkout domain.unverifiedPayment method isn't verified for this checkout domain.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "domain": "app.example.com"}{ "data": { "id": "chedom_01j2abc3def4ghi5jkl6mno7pq", "domain": "app.example.com", "status": "pending_review", "payment_method_verification": { "apple_pay": { "status": "unverified" } }, "created_at": "2026-03-04T12:00:00.000Z", "updated_at": "2026-03-04T12:00:00.000Z" }, "meta": { "request_id": "dd6bbb71-6551-4e4a-843c-b10611cddb6e" }}